org.apache.hadoop.yarn.client.cli

## Class YarnCLI

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.yarn.client.cli.YarnCLI

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool
  Direct Known Subclasses:
    ApplicationCLI, ClusterCLI, NodeCLI, QueueCLI, TopCLI

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class YarnCLI
      extends org.apache.hadoop.conf.Configured
      implements org.apache.hadoop.util.Tool

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected YarnClient` | `client`
    `static String` | `FAIL_CMD`
    `static String` | `HELP_CMD`
    `static String` | `KILL_CMD`
    `static String` | `LIST_CMD`
    `static String` | `MOVE_TO_QUEUE_CMD`
    `static String` | `SIGNAL_CMD`
    `static String` | `STATUS_CMD`
    `protected PrintStream` | `syserr`
    `protected PrintStream` | `sysout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YarnCLI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createAndStartYarnClient()`
    `protected YarnClient` | `createYarnClient()`
    `YarnClient` | `getClient()`
    `void` | `setClient(YarnClient client)`
    `void` | `setSysErrPrintStream(PrintStream syserr)`
    `void` | `setSysOutPrintStream(PrintStream sysout)`
    `void` | `stop()`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.util.Tool

      `run`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### STATUS_CMD

          public static final String STATUS_CMD

      See Also:
        Constant Field Values

    - #### LIST_CMD

          public static final String LIST_CMD

      See Also:
        Constant Field Values

    - #### KILL_CMD

          public static final String KILL_CMD

      See Also:
        Constant Field Values

    - #### FAIL_CMD

          public static final String FAIL_CMD

      See Also:
        Constant Field Values

    - #### MOVE_TO_QUEUE_CMD

          public static final String MOVE_TO_QUEUE_CMD

      See Also:
        Constant Field Values

    - #### HELP_CMD

          public static final String HELP_CMD

      See Also:
        Constant Field Values

    - #### SIGNAL_CMD

          public static final String SIGNAL_CMD

      See Also:
        Constant Field Values

    - #### sysout

          protected PrintStream sysout

    - #### syserr

          protected PrintStream syserr

    - #### client

          protected YarnClient client

  - ### Constructor Detail

    - #### YarnCLI

          public YarnCLI()

  - ### Method Detail

    - #### createYarnClient

          protected YarnClient createYarnClient()

    - #### createAndStartYarnClient

          protected void createAndStartYarnClient()

    - #### setSysOutPrintStream

          public void setSysOutPrintStream(PrintStream sysout)

    - #### setSysErrPrintStream

          public void setSysErrPrintStream(PrintStream syserr)

    - #### getClient

          public YarnClient getClient()

    - #### setClient

          public void setClient(YarnClient client)

    - #### stop

          public void stop()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.